
Ruby - Bug #4056

Crash in non-blocking read

11/15/2010 05:51 AM - tmat (Tomas Matousek)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 1.9.2p0 (2010-08-18)

[i386-mingw32]

Backport:  

Description

=begin

Ruby crashes when executing the attached script (a.rb).

See  crash details attached in crash.log.

=end

History

#1 - 11/23/2010 01:33 AM - naruse (Yui NARUSE)

- Status changed from Open to Feedback

=begin

I can't reprocuce.

Your a.rb has some strange part like start_server doesn't use its argument data.

Can you show reproducible code? or you confirmed exact this a.rb?

=end

#2 - 06/26/2011 04:14 PM - naruse (Yui NARUSE)

- Status changed from Feedback to Rejected

I close this as Rejected since no feedback provided.

Please reopen this if it still happens on the latest version of ruby.

Files

a.rb 2.4 KB 11/15/2010 tmat (Tomas Matousek)

crash.log 3.98 KB 11/15/2010 tmat (Tomas Matousek)
